POST Add/Update webhooks

This API sets up webhooks in assessment settings

Request URL

POST /webhooks

Body Parameters

{
    "webhooks": {
        "start": {
            "status": "boolean",
            "url": "string"
        },
        "submission": {
            "status": "boolean",
            "url": "string"
        },
        "updates": {
            "status": "boolean",
            "url": "string"
        }
    },
    "updateAll": false,
    "updateAuth": false
}

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

start

object

When the candidate starts the assessment.

submission

object

When the candidate submits the assessment.

updates

object

When the recruiter creates, updates, archives or deletes the assessment

status

boolean

Whether the webhook is enabled.

url

string

The URL to receive event notifications.

updateAll

boolean

If true, webhooks are updated in all the assessments else, it is only updated in assessment settings.

Note

  • The start webhook is triggered when the candidate starts the assessment.

  • The submission webhook is triggered when the candidate submits the assessment.

  • The updates webhook is triggered when an assessment is created, updated, archived or deleted.

  • You can include any combination of start, submission, and updates in the request body. Omitted keys keep their existing values where supported.

Response

{
    "status": "success",
    "message": "Webhook added successfully",
    "webhook": { }
}